SystemOrganization addCategory: #'Seaside-Universe'!

!UUniverse class methodsFor: '*Seaside-Universe' stamp: 'pmm 9/14/2008 12:22'!
seaside29
	"[UUniverse switchSystemToUniverse: UUniverse seaside29]"
	^UStandardUniverse new
		serverName: 'universes.lukas-renggli.ch';
		serverPort: UUniverseMultiServer defaultPort;
		shortName: 'seaside2.9';
		description: 'Seaside 2.9';
		packagesURL: 'http://universes.lukas-renggli.ch/seaside2.9.packages' asUrl;
		yourself! !

Object subclass: #SeasideUniverseServer
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Universe'!

SeasideUniverseServer class
	instanceVariableNames: 'server'!

SeasideUniverseServer class
	instanceVariableNames: 'server'!

!SeasideUniverseServer class methodsFor: 'as yet unclassified' stamp: 'pmm 9/14/2008 13:01'!
bootstrap
	server := UUniverseServer forUniverse: UUniverse seaside29.
	server saveDirectory: self saveDirectory.
	server packageListFilename: self packageListFilename.
	server saveCheckpoint.
	server savePackageList.
	server := nil! !

!SeasideUniverseServer class methodsFor: 'as yet unclassified' stamp: 'pmm 9/14/2008 13:01'!
packageListFilename
	^'seaside2.9.packages'! !

!SeasideUniverseServer class methodsFor: 'as yet unclassified' stamp: 'pmm 9/14/2008 13:08'!
saveDirectory
	^FileDirectory default
		directoryNamed: 'universe';
		assureExistence;
		yourself! !

!SeasideUniverseServer class methodsFor: 'as yet unclassified' stamp: 'pmm 9/14/2008 12:34'!
server
	^server! !

!SeasideUniverseServer class methodsFor: 'as yet unclassified' stamp: 'pmm 9/14/2008 13:01'!
start
	server := UUniverseServer forSaveDirectory: self saveDirectory.
	server packageListFilename: self packageListFilename.
	server := UHeadlessUniverseServer on: server.
	server startListening.
	^server! !

!SeasideUniverseServer class methodsFor: 'as yet unclassified' stamp: 'pmm 9/14/2008 12:34'!
stop
	server stopListening.
	server := nil! !

Object subclass: #UHeadlessUniverseServer
	instanceVariableNames: 'server shouldStop'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Universe'!

!UHeadlessUniverseServer class methodsFor: 'instance creation' stamp: 'pmm 9/14/2008 12:03'!
on: aServer
	^self new
		initializeOn: aServer;
		yourself! !

!UHeadlessUniverseServer methodsFor: 'initialize-release' stamp: 'pmm 9/14/2008 12:02'!
initializeOn: aServer
	shouldStop := false.
	server := aServer! !

!UHeadlessUniverseServer methodsFor: 'actions' stamp: 'pmm 9/14/2008 12:27'!
startListening
	server startListening.
	[ shouldStop
		ifTrue: [
			server stopListening.
			^self ]
		ifFalse: [
			server processNetworking.
			(Delay forMilliseconds: 100) wait ] ] fork! !

!UHeadlessUniverseServer methodsFor: 'actions' stamp: 'pmm 9/14/2008 12:11'!
stopListening
	shouldStop := true! !
